#
# spec file for package python-inflect
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-inflect
Version:        0.2.5
Release:        2.2
Summary:        Methods for working on numbers and nouns
License:        AGPL-3.0
Group:          Development/Languages/Python
Url:            https://github.com/pwdyson/inflect.py
Source0:        https://files.pythonhosted.org/packages/source/i/inflect/inflect-%{version}.tar.gz
BuildRequires:  %{python_module base}
BuildRequires:  %{python_module nose}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
Correctly generate plurals, singular nouns, ordinals, indefinite articles; convert numbers to words.

%prep
%setup -q -n inflect-%{version}
rm -rf inflect.egg-info

%build
%python_build

%install
%python_install
%python_exec %fdupes -s %{buildroot}%{$python_sitelib}

%check
%python_expand PYTHONPATH=build/lib %{_bindir}/nosetests

%files %{python_files}
%defattr(-,root,root,-)
%doc CHANGES.txt COPYING.txt README.rst
%{python_sitelib}/*

%changelog
* Tue Jul  4 2017 aloisio@gmx.com
- Converted to singlespec
- Enabled tests
* Tue Aug  2 2016 sor.alexei@meowr.ru
- Switch to Python2.
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Sat Feb 14 2015 arun@gmx.de
- initial version
